<?php
//Initialize Brdige Client
require("bridgeclient.class.php");
$client = new bridgeclient();

//pass in RGB values to get hexadecimal
function dtoh($inbound) {
	$working = str_split($inbound,3);
	return '#' . sprintf('%02x', $working[0]) . sprintf('%02x', $working[1]) . sprintf('%02x', $working[2]);
}

//Pass in HTML style Hexadecimal to get RGB
function htod($h) {
	$h = trim($h, "#");
	$working = str_split($h,2);
	$r = hexdec($working[0]);
	$g = hexdec($working[1]);
	$b = hexdec($working[2]);
	$r = str_pad($r, 3, "0", STR_PAD_LEFT);
	$g = str_pad($g, 3, "0", STR_PAD_LEFT);
	$b = str_pad($b, 3, "0", STR_PAD_LEFT);
	return array($r, $g, $b);
}

if ($_POST['submit']) {
	$colors = htod($_POST['color']);
	//Bridge only understands strings so we have to cast out variables on both sides of the bridge.
	$transmit = $colors[0].$colors[1].$colors[2];
	$transmit = (string)$transmit."go";
	//away it goes
	$client->put("data",$transmit);
	$client->put("cmd","go");
}

//Get existing lighting colors
$existing = $client->get("data");
//Convert so we can set the form.
$form_value = dtoh($existing);
?>
<html>
<head>
	<title>YunLights</title>
</head>
<body>
<div style="width: 400px;">
<form method="post" action="<?PHP echo $_SERVER['PHP_SELF'];?>" >
	<h2>Lighting Color</h2>
	<div style="width: 100px; float: left; height: 100px;">
		Select Color<br />
		<input type="color" name="color" value="<?php echo $form_value;?>"/>
	</div>
	<div style="width: 100px; float: left; height: 100px;">
		<?php if ($_POST['submit']) { echo "Values sent!<br />";}?>
		<input type="submit" name="submit" value="Submit">
	</div>
</form>
</div>
</body>
</html>